Knowledgebase & Documentation
Our documentation is the best way to get immediate answers and guidance. We also provide numerous references for the more advanced features and functionality such as the CMS and the API.
Viewing and Creating Trackers with the PAS API
View Tracker
This action allows you to grab a listing of an existing member tracker in XML format.
REQUEST:
GET https://publisher.pokeraffiliatesolutions.com/publisher_member_trackers/{tracker ID}.xml
RESPONSE:
1 2 3 4 5 6 7 8 9 10 11 12 | <?xml version="1.0" encoding="UTF-8" ?>
<member_tracker>
<affiliate_id type="integer">6</affiliate_id>
<created_at type="datetime">2010-05-04T16:14:47-05:00</created_at>
<id type="integer">112145</id>
<identifier>testtracker</identifier>
<member_id type="integer">XXXXXXXX</member_id>
<poker_room_id type="integer">6</poker_room_id>
<signup_url>http://www.absolutepoker.com/main.asp?host=1751</signup_url>
<website_id type="integer">4201</website_id>
<member_rakeback_rate>30%</member_rakeback_rate>
</member_tracker>
|
Create a Tracker
This action will allow you to create a new tracker associated with an existing member. You will need to send the tracker data to us in XML format (exactly the way that we send it to you when viewing a tracker) with the user details filled out as needed. We will return the updated XML of the Member’s data if the new tracker is created. Appropriate (descriptive) errors will be returned if there is an error.
REQUEST:
POST https://publisher.pokeraffiliatesolutions.com/publisher_members/{MEMBER ID}/publisher_member_trackers.xml
1 2 3 4 | <member_tracker>
<identifier>NEWTESTRACKER</identifier>
<website_offer_id>6</website_offer_id>
</member_tracker>
|
Note
The website_offer_id listing for your offers may be found at https://publisher.pokeraffiliatesolutions.com/website_offers.xml?website_id= {WEBSITE ID}
RESPONSE:
1 2 3 4 5 6 7 8 9 10 11 12 | <?xml version="1.0" encoding="UTF-8"?>
<member_tracker>
<affiliate_id type="integer">6</affiliate_id>
<created_at type="datetime">2010-07-09T13:15:47-05:00</created_at>
<id type="integer">120070</id>
<identifier>NEWTESTRACKER</identifier>
<member_id type="integer">222384334</member_id>
<poker_room_id type="integer">6</poker_room_id>
<signup_url>http://www.absolutepoker.com/main.asp?host=1751</signup_url>
<website_id type="integer">4201</website_id>
<member_rakeback_rate>30%</member_rakeback_rate>
</member_tracker>
|